.navbar {
    background-color: $background-color-navbar;
    border-radius: 0;
    border-width: 0;
    margin-bottom: 0;
    box-shadow: 0 0 5px rgba($background-color-default, 0.3);
    @media (min-width: $screen-sm-min) {
        padding-top: 20px;
    }
}

.navbar-brand {
    @include transition-duration(.3s);
    @include transition-property(all);
    @include transition-timing(linear);
    height: 55px;
    padding: 10px 15px;
    @media (min-width: $screen-sm-min) {
        height: 65px;
    }
    img {
        max-height: 100%;
        width: auto;
    }
}

.navbar-header {
    @media (min-width: $screen-sm-min) {
        float: none;
        position: relative;
    }
    .navbar-contact {
        display: none;
        @media (min-width: $screen-sm-min) {
            bottom: 0;
            display: block;
            height: 26px;
            margin: auto 0;
            position: absolute;
            right: 0;
            top: 0;
        }
        p {
            color: $text-color-1;
            display: inline-block;
            font-size: 16px;
            margin: 0 0 0 15px;
            vertical-align: middle;
        }
    }
}

.navbar-toggle {
    line-height: 25px;
    padding: 5px 0px 5px 10px;
    span {
        display: inline-block;
        font-size: 15px;
        text-transform: uppercase;
        vertical-align: middle;
    }
    .hamburger-menu {
        background-color: $background-color-default;
        border-radius: 5px;
        height: 3px;
        margin-left: 5px;
        position: relative;
        width: 28px;
        &::before,
        &::after {
            @include transition-duration(.2s);
            @include transition-property(top, transform, width);
            @include transition-timing(ease);
            background-color: $background-color-default;
            border-radius: 5px;
            content: "";
            display: block;
            height: 3px;
            position: absolute;
            width: 28px;
        }
        &::before {
            top: -8px;
        }
        &::after {
            top: 8px;
        }
    }
    &:not(.collapsed) {
        .hamburger-menu {
            background-color: transparent;
            &::before {
                @include transform-rotate(45deg);
                top: 0;
                width: 24px;
            }
            &::after {
                @include transform-rotate(-45deg);
                top: 0;
                width: 24px;
            }
        }
    }
}

.navbar-collapse {
    background-color: $background-color-navbar-collapse;
    @media (min-width: $screen-sm-min) {
        background-color: transparent;
        text-align: center;
    }
}

.navbar-nav {
    @media (min-width: $screen-sm-min) {
        display: inline-block;
        float: none !important;
        margin: 0;
        vertical-align: middle;
    }
    >li {
        &::after {
            @media (min-width: $screen-sm-min) {
                background-color: $background-color-1;
                border-radius: 50%;
                bottom: 0;
                content: "";
                height: 5px;
                margin: auto;
                position: absolute;
                right: -2px;
                top: 0;
                width: 5px;
            }
            @media (min-width: $screen-md-min) {
                height: 10px;
                right: -5px;
                width: 10px;
            }
        }
        &:last-child {
            &::after {
                @media (min-width: $screen-sm-min) {
                    display: none;
                }
            }
        }
        >a {
            @include transition-duration(.4s);
            @include transition-property(background-color);
            @include transition-timing(ease);
            background-color: transparent;
            color: $text-color-primary;
            font-weight: 400;
            text-align: center;
            text-transform: uppercase;
            @media (min-width: $screen-sm-min) {
                color: $text-color-body;
                font-size: 16px;
                padding-bottom: 23px;
                padding-left: 14px;
                padding-right: 14px;
                padding-top: 23px;
                position: relative;
                &::after {
                    @include transition-duration(.2s);
                    @include transition-property(height);
                    @include transition-timing(ease);
                    background-color: $background-color-navbar-collapse-hover;
                    bottom: 0;
                    content: "";
                    height: 0;
                    left: 0;
                    position: absolute;
                    right: 0;
                }
            }
            @media (min-width: $screen-md-min) {
                font-size: inherit;
                padding-left: 25px;
                padding-right: 25px;
            }
            @media (min-width: $screen-lg-min) {
                padding-left: 35px;
                padding-right: 35px;
            }
            &:focus,
            &:hover {
                background-color: $background-color-navbar-collapse-hover;
                @media (min-width: $screen-sm-min) {
                    background-color: transparent;
                    &::after {
                        height: 5px;
                    }
                }
            }
        }
    }
}


/* Shrink nav */

.navbar {
    @media (min-width: $screen-sm-min) {
        @include transition-duration(.3s);
        @include transition-property(padding-top);
        @include transition-timing(linear);
    }
    .navbar-nav {
        >li {
            >a {
                @media (min-width: $screen-sm-min) {
                    @include transition-duration(.3s);
                    @include transition-property(padding-bottom, padding-top);
                    @include transition-timing(linear);
                }
            }
        }
    }
    &.shrink {
        @media (min-width: $screen-sm-min) {
            padding-top: 0;
        }
        .navbar-nav {
            >li {
                >a {
                    @media (min-width: $screen-sm-min) {
                        padding-bottom: 10px;
                        padding-top: 10px;
                    }
                }
            }
        }
        .navbar-brand {
            @media (min-width: $screen-sm-min) {
                height: 50px;
            }
        }
    }
}